import 'package:json_annotation/json_annotation.dart';

part 'phone_event_bean.g.dart';

@JsonSerializable()
class PhoneEventBean {
  @JsonKey(name: 'startTime')
  int startTime;

  @JsonKey(name: 'endTime')
  int endTime;

  PhoneEventBean({
    required this.startTime,
    required this.endTime,
  });

  factory PhoneEventBean.fromJson(Map<String, dynamic> json) =>
      _$PhoneEventBeanFromJson(json);

  Map<String, dynamic> toJson() => _$PhoneEventBeanToJson(this);
}
